/***********************************************************
 * $Id: SQLDialect.java 794 2013-02-19 15:46:41Z util $
 * 
 * SQL/DAO utilities of clazzes.org
 * http://www.clazzes.org
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 ***********************************************************/

package org.clazzes.util.sql;


/**
 * List of supported SQL dialects, for cases in which specific statements should/could be used for 
 * optimisation. "Standard" or simple SQL is represented by {@link SQLDialect#ISO}.
 * 
 * @author jpayr
 *
 */
public enum SQLDialect {
	
	ISO,
	DERBY,
	MYSQL,
	MSSQL,
	ORACLE;
	
}
