/***********************************************************
 * $Id: IHaLockManager.java 1128 2016-02-21 20:36:47Z util $
 * 
 * SQL/DAO utilities of clazzes.org
 * http://www.clazzes.org
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 ***********************************************************/

package org.clazzes.util.sql.ha;


/**
 * A H/A lock manager for cross-node locks.
 */
public interface IHaLockManager {

    /**
     * @return The lock or <code>null</code>, this lock manager
     *         is disabled. 
     * @throws Exception Upon errors acquiring the lock.
     */
    public IHaLock doLock() throws Exception;
    
    /**
     * @return The own node name used when locking the instance.
     */
    public String getNodeName();
    
    /**
     * @return The sub system name used for locking.
     */
    public String getSubSystem();
}
